Package org.eclipse.emf.cdo.security

## Interface SecurityItem

- All Superinterfaces:
    `CDOObject`, `CDOWithID`, `org.eclipse.emf.ecore.EObject`, `ModelElement`, `org.eclipse.emf.common.notify.Notifier`, `SecurityElement`
  All Known Subinterfaces:
    `Assignee`, `Directory`, `Group`, `Role`, `User`
  All Known Implementing Classes:
    `AssigneeImpl`, `DirectoryImpl`, `GroupImpl`, `RoleImpl`, `SecurityItemImpl`, `UserImpl`

      public interface SecurityItem
      extends SecurityElement

  A representation of the model object 'Item'.
  See Also:
    `SecurityPackage.getSecurityItem()`
  Generated
  Model
    abstract="true"
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.SecurityElement

      `getRealm`